/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

import React from 'react';
import PropTypes from 'prop-types';
var DashboardItem = props => {
  var {
    text
  } = props;
  var style = {
    background: '#d1c4e9',
    borderTop: 'rgba(0,0,0,.12) 1px solid',
    color: 'rgba(0,0,0,.87)',
    fontFamily: 'inherit',
    overflow: 'hiiden',
    padding: '8px',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap'
  };
  return /*#__PURE__*/React.createElement("li", {
    style: style
  }, text);
};
DashboardItem.propTypes = {
  text: PropTypes.string.isRequired
};
export default DashboardItem;