/**
 * @jest-environment jsdom
 */
/**
 * Copyright 2020, Yahoo! Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */
import DebugDashboard from '../DebugDashboard';
import I13nNode from '../../core/I13nNode';
describe('clickHandler', () => {
  it('should able to generate debug dashboard correctly', () => {
    var i13nNode = new I13nNode(null, {});
    var domNode = document.getElementById('testnode');
    i13nNode.setDOMNode(domNode);
    var debugDashboard = new DebugDashboard(i13nNode);
    expect(document.getElementById('i13n-debug-0')).toBeDefined();
    debugDashboard.destroy();
  });
});