/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

import { IS_PROD, IS_TEST } from './variables';
var warnAndPrintTrace = errorMessage => {
  if (!IS_PROD) {
    var _console, _console$warn, _console2, _console2$trace;
    (_console = console) === null || _console === void 0 ? void 0 : (_console$warn = _console.warn) === null || _console$warn === void 0 ? void 0 : _console$warn.call(_console, errorMessage);
    !IS_TEST && ((_console2 = console) === null || _console2 === void 0 ? void 0 : (_console2$trace = _console2.trace) === null || _console2$trace === void 0 ? void 0 : _console2$trace.call(_console2));
  }
};
export default warnAndPrintTrace;