"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = require("react");
/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

var I13nContext = /*#__PURE__*/(0, _react.createContext)({
  executeEvent: function executeEvent(name, payload, callback) {
    callback === null || callback === void 0 ? void 0 : callback();
  },
  i13nInstance: null,
  i13nNode: null,
  parentI13nNode: null
});
I13nContext.displayName = 'ReactI13nContext';
var _default = I13nContext;
exports["default"] = _default;