"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

var DashboardItem = function DashboardItem(props) {
  var text = props.text;
  var style = {
    background: '#d1c4e9',
    borderTop: 'rgba(0,0,0,.12) 1px solid',
    color: 'rgba(0,0,0,.87)',
    fontFamily: 'inherit',
    overflow: 'hiiden',
    padding: '8px',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap'
  };
  return /*#__PURE__*/_react["default"].createElement("li", {
    style: style
  }, text);
};
DashboardItem.propTypes = {
  text: _propTypes["default"].string.isRequired
};
var _default = DashboardItem;
exports["default"] = _default;