"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

var DashboardTitle = function DashboardTitle(props) {
  var title = props.title;
  var style = {
    background: '#6001d2',
    color: 'rgba(255,255,255,.87)',
    fontFamily: 'inherit',
    overflow: 'hidden',
    padding: '8px',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap'
  };
  return /*#__PURE__*/_react["default"].createElement("li", {
    style: style
  }, title);
};
DashboardTitle.propTypes = {
  title: _propTypes["default"].string.isRequired
};
var _default = DashboardTitle;
exports["default"] = _default;