"use strict";

var _DebugDashboard = _interopRequireDefault(require("../DebugDashboard"));
var _I13nNode = _interopRequireDefault(require("../../core/I13nNode"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/**
 * @jest-environment jsdom
 */
/**
 * Copyright 2020, Yahoo! Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

describe('clickHandler', function () {
  it('should able to generate debug dashboard correctly', function () {
    var i13nNode = new _I13nNode["default"](null, {});
    var domNode = document.getElementById('testnode');
    i13nNode.setDOMNode(domNode);
    var debugDashboard = new _DebugDashboard["default"](i13nNode);
    expect(document.getElementById('i13n-debug-0')).toBeDefined();
    debugDashboard.destroy();
  });
});