"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

var TriggerNode = function TriggerNode(props) {
  var onClick = props.onClick;
  var style = {
    background: '#673ab7',
    color: 'rgba(255,255,255,.87)',
    cursor: 'pointer',
    fontFamily: 'inherit',
    padding: '0 4px'
  };
  return /*#__PURE__*/_react["default"].createElement("span", {
    style: style,
    onClick: onClick
  }, "\u2304");
};
TriggerNode.propTypes = {
  onClick: _propTypes["default"].func.isRequired
};
var _default = TriggerNode;
exports["default"] = _default;