"use strict";

exports.__esModule = true;
exports["default"] = void 0;
/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

var getDisplayName = function getDisplayName(Component, fallback) {
  var _ref, _ref2;
  if (!Component) {
    return fallback;
  }
  var displayName = Component.displayName,
    name = Component.name;
  return (_ref = (_ref2 = displayName !== null && displayName !== void 0 ? displayName : name) !== null && _ref2 !== void 0 ? _ref2 : fallback) !== null && _ref !== void 0 ? _ref : Component;
};
var _default = getDisplayName;
exports["default"] = _default;