"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _variables = require("./variables");
/**
 * Copyright 2015 - Present, Yahoo Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */

var warnAndPrintTrace = function warnAndPrintTrace(errorMessage) {
  if (!_variables.IS_PROD) {
    var _console, _console$warn, _console2, _console2$trace;
    (_console = console) === null || _console === void 0 ? void 0 : (_console$warn = _console.warn) === null || _console$warn === void 0 ? void 0 : _console$warn.call(_console, errorMessage);
    !_variables.IS_TEST && ((_console2 = console) === null || _console2 === void 0 ? void 0 : (_console2$trace = _console2.trace) === null || _console2$trace === void 0 ? void 0 : _console2$trace.call(_console2));
  }
};
var _default = warnAndPrintTrace;
exports["default"] = _default;